Main Page Class List Class Members

# VHACD::Mesh Class Reference

Triangular mesh data structure. More...

`#include <vhacdMesh.h>`

List of all members.

## Public Member Functions
void | AddPoint (const Vec3< double > &pt)
void | AddTriangle (const Vec3< int32_t > &tri)
void | Clear ()
void | ClearPoints ()
void | ClearTriangles ()
void | Clip (const Plane &plane, SArray< Vec3< double > > &positivePart, SArray< Vec3< double > > &negativePart) const
Vec3< double > & | ComputeCenter (void)
void | ComputeConvexHull (const double *const pts, const size_t nPts)
double | ComputeDiagBB ()
double | ComputeVolume () const
void | CopyPoints (SArray< Vec3< double > > &points) const
const Vec3< double > & | GetCenter () const
double | GetDiagBB () const
const Vec3< double > & | GetMaxBB () const
const Vec3< double > & | GetMinBB () const
size_t | GetNPoints () const
size_t | GetNTriangles () const
Vec3< double > & | GetPoint (size_t index)
const Vec3< double > & | GetPoint (size_t index) const
const double *const | GetPoints () const
double * | GetPoints ()
Vec3< double > *const | GetPointsBuffer ()
const Vec3< double > *const | GetPointsBuffer () const
Vec3< int32_t > & | GetTriangle (size_t index)
const Vec3< int32_t > & | GetTriangle (size_t index) const
const int32_t *const | GetTriangles () const
int32_t * | GetTriangles ()
Vec3< int32_t > *const | GetTrianglesBuffer ()
const Vec3< int32_t > *const | GetTrianglesBuffer () const
bool | IsInside (const Vec3< double > &pt) const
bool | LoadOFF (const std::string &fileName, bool invert)
| Mesh ()
| Constructor.
void | ResizePoints (size_t nPts)
void | ResizeTriangles (size_t nTri)
bool | SaveOFF (const std::string &fileName) const
bool | SaveVRML2 (std::ofstream &fout, const Material &material) const
bool | SaveVRML2 (const std::string &fileName) const
void | SetPoint (size_t index, const Vec3< double > &pt)
void | SetTriangle (size_t index, const Vec3< int32_t > &tri)
| ~Mesh (void)
| Destructor.

## Detailed Description

Triangular mesh data structure.

## Constructor & Destructor Documentation

VHACD::Mesh::Mesh | ( |  | ) |

Constructor.

VHACD::Mesh::~Mesh | ( | void |  | ) |

Destructor.

## Member Function Documentation

void VHACD::Mesh::AddPoint | ( | const Vec3< double > & | pt | ) | `[inline]`

void VHACD::Mesh::AddTriangle | ( | const Vec3< int32_t > & | tri | ) | `[inline]`

void VHACD::Mesh::Clear | ( |  | ) | `[inline]`

void VHACD::Mesh::ClearPoints | ( |  | ) | `[inline]`

void VHACD::Mesh::ClearTriangles | ( |  | ) | `[inline]`

void VHACD::Mesh::Clip | ( | const Plane & | plane,
|  | SArray< Vec3< double > > & | positivePart,
|  | SArray< Vec3< double > > & | negativePart |
| ) |  |  | const

Vec3<double>& VHACD::Mesh::ComputeCenter | ( | void |  | ) |

void VHACD::Mesh::ComputeConvexHull | ( | const double *const | pts,
|  | const size_t | nPts |
| ) |  |  |

double VHACD::Mesh::ComputeDiagBB | ( |  | ) |

double VHACD::Mesh::ComputeVolume | ( |  | ) | const

void VHACD::Mesh::CopyPoints | ( | SArray< Vec3< double > > & | points | ) | const`[inline]`

const Vec3<double>& VHACD::Mesh::GetCenter | ( |  | ) | const`[inline]`

double VHACD::Mesh::GetDiagBB | ( |  | ) | const`[inline]`

const Vec3<double>& VHACD::Mesh::GetMaxBB | ( |  | ) | const`[inline]`

const Vec3<double>& VHACD::Mesh::GetMinBB | ( |  | ) | const`[inline]`

size_t VHACD::Mesh::GetNPoints | ( |  | ) | const`[inline]`

size_t VHACD::Mesh::GetNTriangles | ( |  | ) | const`[inline]`

Vec3<double>& VHACD::Mesh::GetPoint | ( | size_t | index | ) | `[inline]`

const Vec3<double>& VHACD::Mesh::GetPoint | ( | size_t | index | ) | const`[inline]`

const double* const VHACD::Mesh::GetPoints | ( |  | ) | const`[inline]`

double* VHACD::Mesh::GetPoints | ( |  | ) | `[inline]`

Vec3<double>* const VHACD::Mesh::GetPointsBuffer | ( |  | ) | `[inline]`

const Vec3<double>* const VHACD::Mesh::GetPointsBuffer | ( |  | ) | const`[inline]`

Vec3<int32_t>& VHACD::Mesh::GetTriangle | ( | size_t | index | ) | `[inline]`

const Vec3<int32_t>& VHACD::Mesh::GetTriangle | ( | size_t | index | ) | const`[inline]`

const int32_t* const VHACD::Mesh::GetTriangles | ( |  | ) | const`[inline]`

int32_t* VHACD::Mesh::GetTriangles | ( |  | ) | `[inline]`

Vec3<int32_t>* const VHACD::Mesh::GetTrianglesBuffer | ( |  | ) | `[inline]`

const Vec3<int32_t>* const VHACD::Mesh::GetTrianglesBuffer | ( |  | ) | const`[inline]`

bool VHACD::Mesh::IsInside | ( | const Vec3< double > & | pt | ) | const

bool VHACD::Mesh::LoadOFF | ( | const std::string & | fileName,
|  | bool | invert |
| ) |  |  |

void VHACD::Mesh::ResizePoints | ( | size_t | nPts | ) | `[inline]`

void VHACD::Mesh::ResizeTriangles | ( | size_t | nTri | ) | `[inline]`

bool VHACD::Mesh::SaveOFF | ( | const std::string & | fileName | ) | const

bool VHACD::Mesh::SaveVRML2 | ( | std::ofstream & | fout,
|  | const Material & | material |
| ) |  |  | const

bool VHACD::Mesh::SaveVRML2 | ( | const std::string & | fileName | ) | const

void VHACD::Mesh::SetPoint | ( | size_t | index,
|  | const Vec3< double > & | pt |
| ) |  |  | `[inline]`

void VHACD::Mesh::SetTriangle | ( | size_t | index,
|  | const Vec3< int32_t > & | tri |
| ) |  |  | `[inline]`

The documentation for this class was generated from the following file:

- sdk/extensions/authoring/source/VHACD/inc/vhacdMesh.h